package com.zhentao.controller.user;

import com.zhentao.dto.user.NoteDto;
import com.zhentao.dto.Result;
import com.zhentao.dto.user.UserDto;
import com.zhentao.dto.user.UserDtoup;
import com.zhentao.dto.user.UserRegister;
import com.zhentao.service.UserLoginService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

@RestController
@RequestMapping("user")
public class UserController {
    @Autowired
    public UserLoginService service;
//    登录
    @PostMapping("/login")
    public Result Login(@RequestBody @Valid UserDto userDto){
        return service.login(userDto);
    }
//    获取验证码
    @PostMapping("/code")
    public Result Code(@RequestBody @Valid NoteDto noteDto){
        System.err.println(noteDto);
        return service.note(noteDto);
    }
//    账号密码登录
    @PostMapping("/loginup")
    public Result Loginup(@RequestBody @Valid UserDtoup userDtoup){
        System.err.println(userDtoup);
        return service.login_up(userDtoup);
    }
//    注册
    @PostMapping("/register")
    public Result Register(@RequestBody @Valid UserRegister userRegister){
        return service.register(userRegister);
    }
}
