package com.zhentao.service;

import com.zhentao.domain.UserLogin;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhentao.dto.user.NoteDto;
import com.zhentao.dto.Result;
import com.zhentao.dto.user.UserDto;
import com.zhentao.dto.user.UserDtoup;
import com.zhentao.dto.user.UserRegister;

/**
* @author 86183
* @description 针对表【user_login(用户)】的数据库操作Service
* @createDate 2025-05-04 21:01:51
*/
public interface UserLoginService extends IService<UserLogin> {
    //    手机号登录
    Result login(UserDto userDto);

    //    短信
    Result note(NoteDto noteDto);
    //    账号密码登录
    Result login_up(UserDtoup userDtoup);
    //    注册
    Result register(UserRegister userRegister);
}
